reliability
action load

# run_load_test

Run a load test against a URL

Run it now
View details

Type | action
Module | chaosreliably.activities.load.actions
Name | run_load_test
Return | mapping

Usage

JSON

    {
      "name": "run-load-test",
      "type": "action",
      "provider": {
        "type": "python",
        "module": "chaosreliably.activities.load.actions",
        "func": "run_load_test",
        "arguments": {
          "url": ""
        }
      }
    }

YAML

    name: run-load-test
    provider:
      arguments:
        url: ''
      func: run_load_test
      module: chaosreliably.activities.load.actions
      type: python
    type: action

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---
url | string |  | Yes | Target URL |
duration | integer | 30 | Yes | Test Duration | Duration of the entire load test
test_name | string | load test | No | Test Name | Unique name for this particular test.
qps | integer | 5 | No | QPS | Query per second rate
insecure | boolean | false | No | Insecure Connection | Allow connection to an insecure HTTPS server
host | string |  | No | Host Header | Force this Host header value
method | string | GET | No | Method | Use this HTTP method
headers | string |  | No | Headers | Comma-separated list of headers
body | string |  | No | Body | Content to pass to the request
content_type | string |  | No | Body Content-Type | Content-Type of the body request

This action requies oha in your `PATH`.

Signature

    def run_load_test(url: str,
                      duration: int = 30,
                      qps: int = 5,
                      use_dns_servers: str = '',
                      insecure: bool = False,
                      host: str = 'None',
                      method: str = 'GET',
                      headers: str = '',
                      body: str = '',
                      content_type: str = '') -> Dict[str, Any]:
        pass

## Related starters

- reliability
  probe load

  ## `load_test_result_field_should_be_less_than`

  Reads a load test result and compares the field’s value to be lesser than the expected given value.
- reliability
  probe load

  ## `load_test_result_field_should_be`

  Reads a load test result and compares the field’s value to be equal to the expected given value.
- reliability
  probe load

  ## `load_test_result_field_should_be_greater_than`

  Reads a load test result and compares the field’s value to be greater than the expected given value.